## RBURIDialog

RBURIDialog — simple URI entry dialog

## Synopsis

    #include <rb-uri-dialog.h>

    struct              RBURIDialog;
    struct              RBURIDialogClass;
    GtkWidget *         rb_uri_dialog_new                   (const char *title,
                                                             const char *label);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkWindow
                                     +----GtkDialog
                                           +----RBURIDialog

## Implemented Interfaces

RBURIDialog implements AtkImplementorIface and GtkBuildable.

## Properties

      "label"                    gchar*                : Read / Write / Construct Only

## Signals

      "location-added"                                 : Run Last

## Description

A simple dialog used to request a single URI from the user.

## Details

### struct RBURIDialog

    struct RBURIDialog;

### struct RBURIDialogClass

    struct RBURIDialogClass {
    	GtkDialogClass parent_class;

            void (*location_added) (RBURIDialog *dialog,
    				const char  *uri);
    };

### rb_uri_dialog_new ()

    GtkWidget *         rb_uri_dialog_new                   (const char *title,
                                                             const char *label);

Creates a URI entry dialog.

`title` : | Window title for the dialog
`label` : | Label to display in the dialog
Returns : | URI dialog instance.

## Property Details

### The `"label"` property

      "label"                    gchar*                : Read / Write / Construct Only

The label displayed in the dialog.

Default value: ""

## Signal Details

### The `"location-added"` signal

    void                user_function                      (RBURIDialog *dialog,
                                                            gchar       *uri,
                                                            gpointer     user_data)      : Run Last

Emitted when the user has entered a URI into the dialog.

`dialog` : | the RBURIDialog
`uri` : | URI entered
`user_data` : | user data set when the signal handler was connected.